> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Endpoint to get the progress of store setup

> It will return the progress of store setup



## OpenAPI

````yaml /api-reference/store/openapi.json get /store/setup/progress
openapi: 3.0.0
info:
  title: Store API
  description: Documentation for store API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Store
    description: Documentation for store API
  - name: Shipping Zone
    description: Documentation for store API
  - name: Shipping Zone Rates
    description: Documentation for store API
  - name: Shipping Carrier
    description: Documentation for store API
  - name: Store Setting
    description: Documentation for store API
  - name: Customer Access Center
    description: Documentation for store API
paths:
  /store/setup/progress:
    get:
      summary: Endpoint to get the progress of store setup
      description: It will return the progress of store setup
      operationId: get-store-setup-progress
      parameters:
        - name: altId
          required: true
          in: query
          description: Location Id or Agency Id
          schema:
            example: 6578278e879ad2646715ba9c
            type: string
        - name: altType
          required: true
          in: query
          schema:
            type: string
            enum:
              - location
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StoreSetupProgressResponseDto'
components:
  schemas:
    StoreSetupProgressResponseDto:
      type: object
      properties:
        status:
          type: boolean
          description: Status of api action
          example: true
        message:
          type: string
          description: Success message
          example: Successfully created
        data:
          $ref: '#/components/schemas/StoreSetupProgress'
      required:
        - status
        - data
    StoreSetupProgress:
      type: object
      properties: {}

````